set feedback off
set verify off
set wrap off
set echo off
set termout off
set lines 120
set heading off
spool scripts/tmp_enable.sql
select 'spool logs/cnstr_enable.log;' from dual;
select 'ALTER TABLE '||c.owner || '.' || '"' || substr(c.table_name,1,35)|| '"'||
' ENABLE CONSTRAINT '||constraint_name||' ;'
from all_constraints c, all_tables u
where c.constraint_type='R' and c.table_name = u.table_name and u.owner in ('CONFIG', '&&1', '&&2');
select 'exit;' from dual;
exit;
