--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

ALTER SESSION SET CURRENT_SCHEMA=&&STAR_SCHEMA;

CREATE OR REPLACE PACKAGE VARS_LANG AS

CRREWMSGE005 CONSTANT VARCHAR(255) :='CRREW4505E エラー: NF_SCHEMA スキーマをヌルにすることはできません';
CRREWMSGE006 CONSTANT VARCHAR(255) :='CRREW4506E エラー: STAR_SCHEMA スキーマをヌルにすることはできません';
CRREWMSGE007 CONSTANT VARCHAR(255) :='CRREW4507E エラー: REP_USER ユーザー名をヌルにすることはできません';
CRREWMSGE086 CONSTANT VARCHAR(255) :='CRREW4586E エラー: カレンダー・タイプが無効です。 1 (グレゴリオ暦) または 2 (ISO) を指定してください';
CRREWMSGE087 CONSTANT VARCHAR(255) :='CRREW4587E エラー: START_YEAR がヌルか、または END_YEAR より大きくなっています';
CRREWMSGE088 CONSTANT VARCHAR(255) :='CRREW4588E エラー: END_YEAR がヌルか、または START_YEAR より小さくなっています';
CRREWMSGE089 CONSTANT VARCHAR(255) :='CRREW4589E エラー: ウェアハウス・スキーマが指定されていません。  有効なスキーマを指定してください。';
CRREWMSGE090 CONSTANT VARCHAR(255) :='CRREW4590E エラー: 日付ディメンションが破壊されています。最小日付が 1 月 1 日に等しくありません';
CRREWMSGE091 CONSTANT VARCHAR(255) :='CRREW4591E エラー: 日付ディメンションが破壊されています。最大日付が 12 月 31 日に等しくありません';
CRREWMSGE092 CONSTANT VARCHAR(255) :='CRREW4592E エラー: 日付ディメンションでサポートされていないカレンダーです';
CRREWMSGE093 CONSTANT VARCHAR(255) :='CRREW4593E エラー: 日付ディメンションの引数 END_YEAR が MIN(YEAR) IN D_DATE より小さくなっています';
CRREWMSGE094 CONSTANT VARCHAR(255) :='CRREW4594E エラー: 日付ディメンションの引数 START_YEAR が MAX(YEAR) IN D_DATE より大きくなっています';
CRREWMSGE098 CONSTANT VARCHAR(255) :='CRREW4598E エラー: Insight バージョンを判別できません';
CRREWMSGE099 CONSTANT VARCHAR(255) :='CRREW4599E エラー: ターゲット Insight バージョンを判別できません。';
CRREWMSGE100 CONSTANT VARCHAR(255) :='CRREW4600E エラー: 現行バージョンがターゲット・バージョンより新しくなっています。';
CRREWMSGE101 CONSTANT VARCHAR(255) :='CRREW4601E エラー: ステートメントの実行エラーです。';
CRREWMSGE102 CONSTANT VARCHAR(255) :='CRREW4602E エラー: 失敗した従属ステートメントがあります';

CRREW4505E CONSTANT INTEGER :=4505;
CRREW4506E CONSTANT INTEGER :=4506;
CRREW4507E CONSTANT INTEGER :=4507;
CRREW4586E CONSTANT INTEGER :=4586;
CRREW4587E CONSTANT INTEGER :=4587;
CRREW4588E CONSTANT INTEGER :=4588;
CRREW4589E CONSTANT INTEGER :=4589;
CRREW4590E CONSTANT INTEGER :=4590;
CRREW4591E CONSTANT INTEGER :=4591;
CRREW4592E CONSTANT INTEGER :=4592;
CRREW4593E CONSTANT INTEGER :=4593;
CRREW4594E CONSTANT INTEGER :=4594;
CRREW4598E CONSTANT INTEGER :=4598;
CRREW4599E CONSTANT INTEGER :=4599;
CRREW4600E CONSTANT INTEGER :=4600;
CRREW4601E CONSTANT INTEGER :=4601;
CRREW4602E CONSTANT INTEGER :=4602;

END;
/
