--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

ALTER SESSION SET CURRENT_SCHEMA=&&STAR_SCHEMA;

CREATE OR REPLACE PACKAGE VARS_LANG AS

CRREWMSGE005 CONSTANT VARCHAR(255) :='CRREW4505E: 發生錯誤，NF_SCHEMA 綱目不可為空值';
CRREWMSGE006 CONSTANT VARCHAR(255) :='CRREW4506E: 發生錯誤，STAR_SCHEMA 綱目不可為空值';
CRREWMSGE007 CONSTANT VARCHAR(255) :='CRREW4507E: 發生錯誤，REP_USER 使用者名稱不可為空值';
CRREWMSGE086 CONSTANT VARCHAR(255) :='CRREW4586E: 發生錯誤，日曆類型無效。請指定 1（格里高里曆）或 2 (ISO)';
CRREWMSGE087 CONSTANT VARCHAR(255) :='CRREW4587E: 發生錯誤，START_YEAR 為空值或晚於 END_YEAR';
CRREWMSGE088 CONSTANT VARCHAR(255) :='CRREW4588E: 發生錯誤，END_YEAR 為空值或早於 START_YEAR';
CRREWMSGE089 CONSTANT VARCHAR(255) :='CRREW4589E: 發生錯誤，未指定倉儲綱目。請指定有效的綱目';
CRREWMSGE090 CONSTANT VARCHAR(255) :='CRREW4590E: 發生錯誤，日期維度毀損，最早日期不是 1 月 1 日';
CRREWMSGE091 CONSTANT VARCHAR(255) :='CRREW4591E: 發生錯誤，日期維度毀損，最晚日期不是 12 月 31 日';
CRREWMSGE092 CONSTANT VARCHAR(255) :='CRREW4592E: 發生錯誤，日期維度不支援日曆';
CRREWMSGE093 CONSTANT VARCHAR(255) :='CRREW4593E: 發生錯誤，日期維度引數 END_YEAR 早於 MIN(YEAR) IN D_DATE';
CRREWMSGE094 CONSTANT VARCHAR(255) :='CRREW4594E: 發生錯誤，日期維度引數 START_YEAR 晚於 MAX(YEAR) IN D_DATE';
CRREWMSGE098 CONSTANT VARCHAR(255) :='CRREW4598E: 發生錯誤，無法確定 Insight 版本';
CRREWMSGE099 CONSTANT VARCHAR(255) :='CRREW4599E: 發生錯誤，無法確定目標 Insight 版本';
CRREWMSGE100 CONSTANT VARCHAR(255) :='CRREW4600E: 發生錯誤，現行版本高於目標版本';
CRREWMSGE101 CONSTANT VARCHAR(255) :='CRREW4601E: 執行陳述式時發生錯誤';
CRREWMSGE102 CONSTANT VARCHAR(255) :='CRREW4602E: 發生錯誤，有執行失敗的相依陳述式';

CRREW4505E CONSTANT INTEGER :=4505;
CRREW4506E CONSTANT INTEGER :=4506;
CRREW4507E CONSTANT INTEGER :=4507;
CRREW4586E CONSTANT INTEGER :=4586;
CRREW4587E CONSTANT INTEGER :=4587;
CRREW4588E CONSTANT INTEGER :=4588;
CRREW4589E CONSTANT INTEGER :=4589;
CRREW4590E CONSTANT INTEGER :=4590;
CRREW4591E CONSTANT INTEGER :=4591;
CRREW4592E CONSTANT INTEGER :=4592;
CRREW4593E CONSTANT INTEGER :=4593;
CRREW4594E CONSTANT INTEGER :=4594;
CRREW4598E CONSTANT INTEGER :=4598;
CRREW4599E CONSTANT INTEGER :=4599;
CRREW4600E CONSTANT INTEGER :=4600;
CRREW4601E CONSTANT INTEGER :=4601;
CRREW4602E CONSTANT INTEGER :=4602;

END;
/
